Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.ddl.dialect.derby
Interface DerbyDdlConstants.DerbyStatementStartPhrases

All Known Implementing Classes:
  DerbyDdlParser

Enclosing interface:
  DerbyDdlConstants

    public static interface DerbyDdlConstants.DerbyStatementStartPhrases

Field Summary
`static String[][]` | `ALTER_PHRASES`
`static String[][]` | `CREATE_PHRASES`
`static String[][]` | `DROP_PHRASES`
`static String[][]` | `MISC_PHRASES`
`static String[][]` | `SET_PHRASES`
`static String[]` | `STMT_CREATE_FUNCTION`
`static String[]` | `STMT_CREATE_INDEX`
`static String[]` | `STMT_CREATE_PROCEDURE`
`static String[]` | `STMT_CREATE_ROLE`
`static String[]` | `STMT_CREATE_SYNONYM`
`static String[]` | `STMT_CREATE_TRIGGER`
`static String[]` | `STMT_CREATE_UNIQUE_INDEX`
`static String[]` | `STMT_DECLARE_GLOBAL_TEMP_TABLE`
`static String[]` | `STMT_DROP_FUNCTION`
`static String[]` | `STMT_DROP_INDEX`
`static String[]` | `STMT_DROP_PROCEDURE`
`static String[]` | `STMT_DROP_ROLE`
`static String[]` | `STMT_DROP_SYNONYM`
`static String[]` | `STMT_DROP_TRIGGER`
`static String[]` | `STMT_LOCK_TABLE`
`static String[]` | `STMT_RENAME_INDEX`
`static String[]` | `STMT_RENAME_TABLE`
`static String[]` | `STMT_SET_CURRENT_ISOLATION`
`static String[]` | `STMT_SET_CURRENT_SCHEMA`
`static String[]` | `STMT_SET_CURRENT_SQLID`
`static String[]` | `STMT_SET_ISOLATION`
`static String[]` | `STMT_SET_ROLE`
`static String[]` | `STMT_SET_SCHEMA`
`static String[]` | `VALID_SCHEMA_CHILD_STMTS`

Field Detail

### ALTER_PHRASES

    static final String[][] ALTER_PHRASES

### STMT_CREATE_FUNCTION

    static final String[] STMT_CREATE_FUNCTION

### STMT_CREATE_INDEX

    static final String[] STMT_CREATE_INDEX

### STMT_CREATE_UNIQUE_INDEX

    static final String[] STMT_CREATE_UNIQUE_INDEX

### STMT_CREATE_PROCEDURE

    static final String[] STMT_CREATE_PROCEDURE

### STMT_CREATE_ROLE

    static final String[] STMT_CREATE_ROLE

### STMT_CREATE_SYNONYM

    static final String[] STMT_CREATE_SYNONYM

### STMT_CREATE_TRIGGER

    static final String[] STMT_CREATE_TRIGGER

### CREATE_PHRASES

    static final String[][] CREATE_PHRASES

### STMT_DECLARE_GLOBAL_TEMP_TABLE

    static final String[] STMT_DECLARE_GLOBAL_TEMP_TABLE

### STMT_DROP_FUNCTION

    static final String[] STMT_DROP_FUNCTION

### STMT_DROP_INDEX

    static final String[] STMT_DROP_INDEX

### STMT_DROP_PROCEDURE

    static final String[] STMT_DROP_PROCEDURE

### STMT_DROP_ROLE

    static final String[] STMT_DROP_ROLE

### STMT_DROP_SYNONYM

    static final String[] STMT_DROP_SYNONYM

### STMT_DROP_TRIGGER

    static final String[] STMT_DROP_TRIGGER

### DROP_PHRASES

    static final String[][] DROP_PHRASES

### STMT_LOCK_TABLE

    static final String[] STMT_LOCK_TABLE

### STMT_RENAME_TABLE

    static final String[] STMT_RENAME_TABLE

### STMT_RENAME_INDEX

    static final String[] STMT_RENAME_INDEX

### STMT_SET_ISOLATION

    static final String[] STMT_SET_ISOLATION

### STMT_SET_CURRENT_ISOLATION

    static final String[] STMT_SET_CURRENT_ISOLATION

### STMT_SET_ROLE

    static final String[] STMT_SET_ROLE

### STMT_SET_SCHEMA

    static final String[] STMT_SET_SCHEMA

### STMT_SET_CURRENT_SCHEMA

    static final String[] STMT_SET_CURRENT_SCHEMA

### STMT_SET_CURRENT_SQLID

    static final String[] STMT_SET_CURRENT_SQLID

### SET_PHRASES

    static final String[][] SET_PHRASES

### MISC_PHRASES

    static final String[][] MISC_PHRASES

### VALID_SCHEMA_CHILD_STMTS

    static final String[] VALID_SCHEMA_CHILD_STMTS

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.